:root {
	--c-foreground: black;
	--c-backgound: white;
	--c-backgound-2: #eee;
}

@media (prefers-color-scheme: dark) {
	:root {
		--c-foreground: #eee;
		--c-backgound: black;
		--c-backgound-2: #333;
	}
}

.std {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

.body {
	padding: 50px calc(50vw - 168px);
	width: 100vw;
	height: 100vh;
	color: var(--c-foreground);
	background-color: var(--c-backgound-2);
	/* overflow: hidden; */
}

.nouserselect {
	user-select: none;
}

.h1 {
	position: absolute;
	top: 8px;
	left: 8px;
	font-size: 40px;
	width: 50%;
	height: 40px;
	overflow: hidden;
}

.convert {
	position: absolute;
	top: 8px;
	right: 8px;
	padding: 10px 0;
	width: 50%;
	height: 40px;
	font-size: 16px;
	text-align: right;
	overflow: hidden;
}

.checkbox-group	{
	display: inline-block;
	height: 16px;
	font-size: 16px;
	font-family: monospace;
}

.workplace {
	position: absolute;
	left: 8px;
	top: 72px;
	display: flex;
	gap: 8px;
	width: calc(100vw - 16px);
	height: calc(100vh - 98px);
}

.workplace::after {
	--size: 0;
	content: ' ';
	box-sizing: border-box;
	position: absolute;
	top: 0;
	left: 0;
	border-width: var(--size);
	border-style: solid;
	border-color: var(--c-foreground) transparent transparent var(--c-foreground);
	transition: all .2s ease-in;
}

.workplace-changed::after {
	--size: 10px;
}

.editor,
.raw-html,
.output {
	display: none;
	flex-grow: 1;
	width: 100%;
	height: 100%;
	background-color: var(--c-backgound);
	color: var(--c-foreground);
}

.editor {
	position: relative;
	resize: none;
	font-family: monospace;
	font-size: 18px;
	border: none;
	outline: none;
}

#editor-enabled:checked ~ #workplace > #editor {
	display: block;
}

.raw-html {
	font-family: monospace;
	overflow: scroll;
	font-size: 16px;
}

#raw-html-enabled:checked ~ #workplace > #raw-html {
	display: block;
}

.output {
	padding: 8px;
	font-family: serif;
	overflow: scroll;
}

#output-enabled:checked ~ #workplace > #output {
	display: block;
}

.footer {
	position: absolute;
	left: 8px;
	bottom: 4px;
	width: calc(100vw - 16px);
	height: 20px;
	font-size: 16px;
	text-align: center;
	overflow: hidden;
}

.footer a {
	color: var(--c-foreground);
	text-decoration: none;
}

.footer a:hover {
	text-decoration: underline;
}